extends Reference

const NAME = "blocked"

var ctx = null

func _init():
	pass

func enter_from(state):
	ctx.coin_machine.enabled = false
	ctx.item_dump.enabled = true
	ctx.status_text.text = "Offline. Needs Repair"

func exit_to(state):
	pass

func on_coin_machine_coin_requirement_met(player):
	assert(false, "coin machine should be disabled in blocked state")

func on_item_dump_item_dump_completed():
	ctx.change_state(ctx.StateIdle.new())

func on_item_dump_item_dumped():
	print("item dumped")
